package com.bipt.intelligentapplicationorchestrationservice.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.Arrays;
import java.util.List;

@Configuration
@ConfigurationProperties(prefix = "available")
public class IpConfig {
    private List<String> ips;

    public List<String> getIps() {
        return ips;
    }

    public void setIps(String ips) {
        this.ips = Arrays.asList(ips.split(","));
    }
}