package com.bipt.intelligentapplicationorchestrationservice.entity;

import com.bipt.intelligentapplicationorchestrationservice.pojo.GpuCreateDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.GpuResponseDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.GpuUpdateDTO;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper(componentModel = "spring")
public interface GpuMapper {
    GpuResource toEntity(GpuCreateDTO dto);
    GpuResource toEntity(GpuUpdateDTO dto);
    GpuResource toEntity(GpuResponseDTO dto);
    GpuResponseDTO toDTO(GpuResource entity);
}
