package com.bipt.intelligentapplicationorchestrationservice.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@Setter
@Getter
public class GpuResource {
    @TableField("GPUId")
    private Long GPUId;

    @TableField("GPUModel")
    private String GPUModel;

    @TableField("GPUMemorySize")
    private Integer GPUMemorySize;

    @TableField("is_deleted")
    private Integer isDeleted = 0;

    @TableField("Ip")
    private String Ip;

    @TableField("created_time")
    private LocalDateTime createTime;

    @TableField("update_time")
    private LocalDateTime UpdateTime;

    @TableField("GPUMaxMemory")
    private Integer GPUMaxMemory;

    public GpuResource(long l, String s, boolean b) {
        this.GPUId = l;
        this.GPUModel = s;
        this.isDeleted = b ? 1 : 0;
    }
//    public @Pattern(regexp = "^((25[0-5]|2[0-4]\\d|[01]?\\d\\d?)\\.){3}(25[0-5]|2[0-4]\\d|[01]?\\d\\d?)$") String getIp() {
//        return Ip;
//    }

    public Boolean getIsDeleted() {
        return isDeleted != 0;
    }



    public GpuResource(Long Id, String GPUModel, Integer GPUMemorySize, String ip, LocalDateTime create_time) {
        this.GPUId = Id;
        this.GPUModel = GPUModel;
        this.GPUMemorySize = GPUMemorySize;
        this.Ip = ip;
        this.createTime = create_time;
    }

    public GpuResource() {}

    public Integer getGPUMemorySize() {
        return GPUMemorySize;
    }

    public Long getGPUId() {
        return GPUId;
    }

    public String getGPUModel() {
        return GPUModel;
    }

    public String getIp() {
        return Ip;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public Integer getGPUMaxMemory() {
        return GPUMaxMemory;
    }

    public void setGPUId(Long GPUId) {
        this.GPUId = GPUId;
    }

    public void setGPUModel(String GPUModel) {
        this.GPUModel = GPUModel;
    }

    public void setGPUMemorySize(Integer GPUMemorySize) {
        this.GPUMemorySize = GPUMemorySize;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public void setIp(String ip) {
        Ip = ip;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }


}
